## fil-plugins 0.1.0

=== Makefile ===

CPPFLAGS += -I. -fPIC -D_REENTRANT -Wall -O3


all:	filters.so


filters.so:	filters.o filters_if.o exp2ap.o
	g++ -shared filters.o filters_if.o exp2ap.o -o filters.so

filters.o:	ladspaplugin.h filters.h
filters_if.o:	ladspaplugin.h filters.h


install:
	cp  *.so /usr/lib/ladspa


DIR := $(shell basename `pwd`)

archive:	clean
	cd ..; /bin/rm -f $(DIR).tar.bz2; tar cvf $(DIR).tar $(DIR); bzip2 $(DIR).tar


clean:
	/bin/rm -f *~ *.o *.so

## fil-plugins 0.3.0

=== Makefile ===
#    Copyright (C) 2004-2009 Fons Adriaensen <fons@kokkinizita.net>
#    
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


CPPFLAGS += -I. -fPIC -D_REENTRANT -Wall -O3


all:	filters.so


filters.so:	filters.o filters_if.o exp2ap.o
	g++ -shared filters.o filters_if.o exp2ap.o -o filters.so

filters.o:	ladspaplugin.h filters.h
filters_if.o:	ladspaplugin.h filters.h

install:	all
	cp  *.so /usr/lib/ladspa

clean:
	/bin/rm -f *~ *.o *.so

=== debian/changelog ===
fil-plugins (0.3.0-6) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Add patch to avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 02:20:21 +0100

fil-plugins (0.3.0-5) unstable; urgency=medium

  * Update copyright file.
  * Added patch to remove LADSPA_PROPERTY_REALTIME. (Closes: #765554)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 10 Sep 2015 10:36:02 +0200

fil-plugins (0.3.0-4) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 9.
  * Remove DMUA.
  * Enable parallel build.
  * Fix VCS fields.
  * Add patch to pass LDFLAGS.
  * Add local-option file.
  * Improve .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 11 Jun 2015 01:40:33 +0200

fil-plugins (0.3.0-3) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Add myself as uploader.
  * Copyright updated to format 1.0
  * Fix homepage in control file
  * Fix URL in copyright file
  * Fix watch file.
  * Bump Standards.

  [ Alessio Treglia ]
  * Set DM-Upload-Allowed: yes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Apr 2012 16:21:41 +0200

fil-plugins (0.3.0-2) unstable; urgency=low

  * Team upload.
  * Switch to format 3.0 (quilt).
  * Small corrections to debian/watch file.
  * Add git-buildpackage config file.
  * Add "Provides: ladspa-plugin" field, as per
    http://wiki.debian.org/DebianMultimedia/Policy
  * Remove myself from the Uploaders field.
  * Fix gbp.conf file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Jun 2011 10:31:47 +0200

fil-plugins (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * Switch to quilt patch system.
  * Refresh and convert all patches to quilt format.
  * debian/control:
    - Bump Standards.
    - Set Debian Multimedia Maintainers as Maintainer.
    - Add myself as uploader.
    - Allow uploads by DM.
    - Add Vcs-* tags.
    - Add Homepage field.
    - Build-depend on ladspa-sdk.
  * Bump debian/watch version to 3.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 09 Jan 2010 01:53:21 +0100

fil-plugins (0.1.0-2) unstable; urgency=low

  * Fixed watch filed
  * FTBFS if built twice in a row (Closes: #424264)

 -- Free Ekanayaka <freee@debian.org>  Mon, 28 May 2007 13:32:10 +0200

fil-plugins (0.1.0-1) unstable; urgency=low

  * New upstream release
  * New package maintainer Debian Multimedia Team <debian-multimedia@lists.debian.org>
  * Updated policy standard
  * Bug fix: "Spelling mistake in package description", thanks to Simon
    Waters (Closes: #363412).

 -- Free Ekanayaka <freee@debian.org>  Tue, 23 May 2006 07:54:50 +0200

fil-plugins (0.0.1-2) unstable; urgency=low

  * Rebuilt against libstdc++6

 -- Free Ekanayaka <free@agnula.org>  Wed, 16 Nov 2005 01:44:00 +0000

fil-plugins (0.0.1-1) unstable; urgency=low

  * First upload to Debian (closes: #276495)

 -- Free Ekanayaka <free@agnula.org>  Tue, 25 Jan 2005 11:06:21 +0100

=== debian/control ===
Source: fil-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10),
 ladspa-sdk
Standards-Version: 3.9.8
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fil-plugins.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/fil-plugins.git

Package: fil-plugins
Architecture: any
Provides:
 ladspa-plugin
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: parametric equalizer LADSPA plugin
 Four-band parametric equaliser. Each section has an active/bypass switch,
 frequency, bandwidth and gain controls. There is also a global bypass
 switch and gain control.
 .
 The 2nd order resonant filters are implemented using a Mitra-Regalia
 style lattice filter, which has the nice property of being stable
 even while parameters are being changed.
 .
 All switches and controls are internally smoothed, so they can
 be used 'live' without any clicks or zipper noises. This should
 make this plugin a good candidate for use in systems that allow
 automation of plugin control ports, such as Ardour, or for
 stage use.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/ \
	FIL-plugins-(.*)\.tar\.bz2
